Package com.datecs.util

# Class StringUtils

java.lang.Object
com.datecs.util.StringUtils

    public class StringUtils
    extends java.lang.Object

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `alignLeft​(java.lang.String data, int lineLength)` |
  `static java.lang.String` | `alignRight​(java.lang.String data, int lineLength)` |
  `static java.lang.String` | `amountToString​(long amount)` |
  `static java.lang.String` | `appendLeft​(java.lang.String data, int lineLength)` |
  `static java.lang.String` | `appendRight​(java.lang.String data, int lineLength)` |
  `static java.lang.String` | `arrayToStr​(int[] value)` |
  `static java.lang.String` | `boolToStr​(boolean value)` |
  `static java.lang.String` | `centerLine​(java.lang.String data, int lineLength)` |
  `static java.lang.String` | `decimalsToStr​(int value, int len)` |
  `static byte[]` | `getBytes​(java.lang.String text, java.lang.String charsetName)` |
  `static java.lang.String` | `intToStr​(int value, int len)` |
  `static java.lang.String` | `quantityToString​(double value)` |
  `static java.lang.String[]` | `split​(java.lang.String text, char c)` |
  `static java.lang.String` | `stringOfChar​(char c, int count)` |
  `static int[]` | `strToIntArray​(java.lang.String value)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### split

    public static java.lang.String[] split​(java.lang.String text, char c)

  - ### centerLine

    public static java.lang.String centerLine​(java.lang.String data, int lineLength)

  - ### alignLeft

    public static java.lang.String alignLeft​(java.lang.String data, int lineLength)

  - ### alignRight

    public static java.lang.String alignRight​(java.lang.String data, int lineLength)

  - ### appendLeft

    public static java.lang.String appendLeft​(java.lang.String data, int lineLength)

  - ### appendRight

    public static java.lang.String appendRight​(java.lang.String data, int lineLength)

  - ### intToStr

    public static java.lang.String intToStr​(int value, int len)

  - ### decimalsToStr

    public static java.lang.String decimalsToStr​(int value, int len)

  - ### boolToStr

    public static java.lang.String boolToStr​(boolean value)

  - ### amountToString

    public static java.lang.String amountToString​(long amount)

  - ### quantityToString

    public static java.lang.String quantityToString​(double value)

  - ### arrayToStr

    public static java.lang.String arrayToStr​(int[] value)

  - ### strToIntArray

    public static int[] strToIntArray​(java.lang.String value)

  - ### getBytes

    public static byte[] getBytes​(java.lang.String text, java.lang.String charsetName) throws java.io.UnsupportedEncodingException
    Throws:
      `java.io.UnsupportedEncodingException`

  - ### stringOfChar

    public static java.lang.String stringOfChar​(char c, int count)